Subject: Re: linux-next: manual merge of the signal tree with the arm64 tree

From: Will Deacon <[email-masked]>
Date: Fri, 11 Jan 2013 10:03:57 +0000

On Fri, Jan 11, 2013 at 09:36:02AM +0000, Catalin Marinas wrote:
> Hi Stephen,
> 
> On Fri, Jan 11, 2013 at 04:46:17AM +0000, Stephen Rothwell wrote:
> > Today's linux-next merge of the signal tree got a conflict in
> > arch/arm64/kernel/signal32.c between commits 068f1bb36cf1 ("arm64:
> > compat: include sa_restorer in old action from rt_sigaction") and
> > efed4d52e39f ("arm64: compat: ensure access_ok checks are performed on
> > user structures") from the arm64 tree and various commits from the signal
> > tree.
> > 
> > The latter removes the code modified by the former, so I did that.
> 
> I think the fix is fine. I'll give Al's patches a test and I can
> probably drop Will's patches.

Yup, although it looks like we need to #define __ARCH_HAS_SA_RESTORER for
compat_sys_rt_sigaction.

Will